Simulator
Before you push your app to the Live environment, you should test your integration to make sure it handles flows correctly.
Use the simulator in your Sandbox Weavr Portal to simulate processes and transactions that cannot be triggered by the integration alone such as a purchase on a card or a deposit on an IBANIBAN International Bank Account Number - a standardized international bank account identifier. Managed accounts can be assigned an IBAN to enable wire transfers to and from bank accounts outside of Weavr. IBANs are required for EUR accounts and enable SEPA transfers..
You can also build automated tests by triggering the simulator through the simulator API.
Identity verification
After you register a corporate or a consumer, you can simulate the approval of their KYBKYB Know Your Business - the identity verification process for corporate identities. This process allows you to seamlessly and securely verify your business customer's identity. Weavr will ask users to submit the necessary information and documentation so that they can get approved by financial providers. or KYCKYC Know Your Customer - the identity verification process for consumer identities. This process allows you to seamlessly and securely verify your user's identity. Weavr will ask users to submit the necessary information and documentation so that they can get approved by financial providers. verification.
Consumer KYC verification
When you create a consumer, the KYCKYC Know Your Customer - the identity verification process for consumer identities. This process allows you to seamlessly and securely verify your user's identity. Weavr will ask users to submit the necessary information and documentation so that they can get approved by financial providers. status of the customer fullDueDiligence is NOT-STARTED. To lift customer restrictions and change fullDueDiligence to APPROVED, you can simulate KYCKYC Know Your Customer - the identity verification process for consumer identities. This process allows you to seamlessly and securely verify your user's identity. Weavr will ask users to submit the necessary information and documentation so that they can get approved by financial providers. verification as follows:
Using the simulator API
# Replace $WEAVR_API_KEY with your API key found on the API Credentials page in the Weavr Portal.
# Replace $CONSUMER_ID with the value of the `id.id` field of the response object returned when you created the consumer.
curl --location --request POST 'https://sandbox.weavr.io/simulate/api/consumers/{{$CONSUMER_ID}}/verify' \
--header 'Content-Type: application/json' \
--header 'programme-key: {{$WEAVR_API_KEY}}' \
--data-raw '{}'
Using the simulator UI
- Log in to the Weavr Sandbox Portal using your credentials.
- Navigate to Simulator > Verify Consumer (KYCKYC Know Your Customer - the identity verification process for consumer identities. This process allows you to seamlessly and securely verify your user's identity. Weavr will ask users to submit the necessary information and documentation so that they can get approved by financial providers.).
- Input the consumer ID that you would like to KYCKYC Know Your Customer - the identity verification process for consumer identities. This process allows you to seamlessly and securely verify your user's identity. Weavr will ask users to submit the necessary information and documentation so that they can get approved by financial providers. verify and click on Simulate.

You can find the consumer ID of a consumer in the Weavr Portal by navigating to Home > Consumer Details.
KYB verification
When you create a corporate, the KYBKYB Know Your Business - the identity verification process for corporate identities. This process allows you to seamlessly and securely verify your business customer's identity. Weavr will ask users to submit the necessary information and documentation so that they can get approved by financial providers. status of the customer fullCompanyChecksVerified is NOT-STARTED. To lift customer restrictions and change fullCompanyChecksVerified to APPROVED, you can simulate KYBKYB Know Your Business - the identity verification process for corporate identities. This process allows you to seamlessly and securely verify your business customer's identity. Weavr will ask users to submit the necessary information and documentation so that they can get approved by financial providers. verification as follows:
Using the simulator API
# Replace $WEAVR_API_KEY with your API key found on the API Credentials page in the Weavr Portal.
# Replace $CORPORATE_ID with the value of the `id.id` field of the response object returned when you created the corporate.
curl --location --request POST 'https://sandbox.weavr.io/simulate/api/corporates/{{$CORPORATE_ID}}/verify' \
--header 'Content-Type: application/json' \
--header 'programme-key: {{$WEAVR_API_KEY}}' \
--data-raw '{}'
Using the simulator UI
- Log in to the Weavr Sandbox Portal using your credentials.
- Navigate to Simulator > Verify Corporate (KYBKYB Know Your Business - the identity verification process for corporate identities. This process allows you to seamlessly and securely verify your business customer's identity. Weavr will ask users to submit the necessary information and documentation so that they can get approved by financial providers.).
- Input the corporate ID that you would like to KYBKYB Know Your Business - the identity verification process for corporate identities. This process allows you to seamlessly and securely verify your business customer's identity. Weavr will ask users to submit the necessary information and documentation so that they can get approved by financial providers. verify and click on Simulate.

You can find the corporate ID of a corporate in the Weavr Portal by navigating to Home > Corporate Details.
Incoming wire transfer
Managed accounts that have an IBANIBAN International Bank Account Number - a standardized international bank account identifier. Managed accounts can be assigned an IBAN to enable wire transfers to and from bank accounts outside of Weavr. IBANs are required for EUR accounts and enable SEPA transfers. (EUR or USD) or a sort code and account number (GBP) can receive incoming wire transfersWire Transfer A transaction that moves funds between accounts. An incoming wire transfer moves funds from a third-party bank account to a Weavr managed account, while an outgoing wire transfer moves funds from a Weavr managed account to a third-party bank account. Wire transfers require the managed account to have an assigned IBAN (for EUR) or sort code and account number (for GBP). from an external bank account.
When we receive a new incoming wire transfer, it is processed according to the configuration of your app, based on the financial services your embedded finance program supports.
Various scenarios can be simulated from the "Incoming Wire TransferWire Transfer A transaction that moves funds between accounts. An incoming wire transfer moves funds from a third-party bank account to a Weavr managed account, while an outgoing wire transfer moves funds from a Weavr managed account to a third-party bank account. Wire transfers require the managed account to have an assigned IBAN (for EUR) or sort code and account number (for GBP). (IWTIWT Incoming Wire Transfer - a transaction that occurs when funds from a bank account held at a third-party financial institution are moved to a Weavr managed account. IWTs are initiated externally by the owner of the source bank account, and the managed account must have an assigned IBAN to receive funds.) processing" screen; and the processing of the transaction depends on where the payment originates from, and what the destination Managed AccountManaged Account An account held at a financial institution that can be created and managed through the Weavr platform. Each account has a balance where customers can hold funds. Optionally, an IBAN can be assigned to enable wire transfers to bank accounts outside of Weavr. can accept. Example scenarios are:
- IWTsIWT Incoming Wire Transfer - a transaction that occurs when funds from a bank account held at a third-party financial institution are moved to a Weavr managed account. IWTs are initiated externally by the owner of the source bank account, and the managed account must have an assigned IBAN to receive funds. with specific sender-information
- IWTsIWT Incoming Wire Transfer - a transaction that occurs when funds from a bank account held at a third-party financial institution are moved to a Weavr managed account. IWTs are initiated externally by the owner of the source bank account, and the managed account must have an assigned IBAN to receive funds. to Linked Accounts
- IWT Forwarding Event
Once processing is successful, the funds are credited to the managed accountManaged Account An account held at a financial institution that can be created and managed through the Weavr platform. Each account has a balance where customers can hold funds. Optionally, an IBAN can be assigned to enable wire transfers to bank accounts outside of Weavr. and we send a deposit webhook to your app.